/* theme */

.ui-widget {
}

.ui-widget-content table * {
  border: transparent;}

.ui-inputfield,
.ui-inputfield.ui-state-focus,
.ui-widget-content .ui-inputfield,
.ui-widget-content .ui-inputfield.ui-state-default,
.ui-column-filter.ui-inputfield.ui-inputtext {
 background: #fff;
 border-radius: 2px;
 border-color: #999;
 box-shadow: 0px 0px inset;}

/* remove ridiculous z-index from upload button, so dropdowns will work correctly above. */

.fileupload-buttonbar .ui-button input {z-index: 0;}

/* workaround for primefaces' broken file upload on IE10 */

.fileinput-button input {
    -moz-transform : none !important;
    border : none !important;
    border-width : 0 !important;
    transform : translate(-300px, 0) scale(4) !important;
    font-size : 23px !important;
}
* + html .fileinput-button {
    line-height : none !important;
    padding : 2px 15px !important;
}
